Bug 865995 - Review Request: non-session-manager - a session manager for Linux Audio
Review Request: non-session-manager - a session manager for Linux Audio
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jørn Lomax
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-10-13 01:55 EDT by Brendan Jones
Modified: 2012-11-18 23:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 23:28:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
northlomax: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-10-13 01:55:33 EDT
non-session-manager is a session manager for JACK enabled linux audio applications

SRPM: http://bsjones.fedorapeople.org/non-session-manager-1.0.0-0.2.gitae6b78cf.fc18.src.rpm
SPEC:http://bsjones.fedorapeople.org/non-session-manager.spec

non-session-manager.src: W: invalid-url Source0: non-daw-20121013-git61addce.tar.bz2
non-session-manager.x86_64: E: incorrect-fsf-address /usr/share/doc/non-session-manager-1.0.0/COPYING
non-session-manager.x86_64: W: no-manual-page-for-binary nsmd
non-session-manager.x86_64: W: no-manual-page-for-binary non-session-manager
non-session-manager.x86_64: W: no-manual-page-for-binary jackpatch
Comment 1 Jørn Lomax 2012-10-13 15:48:05 EDT
Couple of things I would like to see be fixed before I post the full review:
Add a comment that you have (if you have) contacted upstream about incorrect fsf address.
Please use desktop-file-install to install the desktop file, or at the very least run desktop-file-validate. (see https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#desktop for more info)

And if I want to be picky, you can substitute "non-session-manager" with %{name} for the Patch0 line
Comment 3 Jørn Lomax 2012-10-14 06:29:22 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "GPL (v2 or later) (with incorrect FSF
     address)" For detailed output of licensecheck see file:
     /home/makerpm/rpmbuild/REVIEW/865995-non-session-manager/licensecheck.txt
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: SHOULD Scriptlets must be sane, if used.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (non-daw-20121013-git61addce.tar.bz2) Source1 (non-
     snapshot.sh)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: non-session-manager-1.0.0-0.3.gitae6b78cf.fc17.i686.rpm
          non-session-manager-debuginfo-1.0.0-0.3.gitae6b78cf.fc17.i686.rpm
          non-session-manager-1.0.0-0.3.gitae6b78cf.fc17.src.rpm
non-session-manager.i686: E: incorrect-fsf-address /usr/share/doc/non-session-manager-1.0.0/COPYING
non-session-manager.i686: W: no-manual-page-for-binary nsmd
non-session-manager.i686: W: no-manual-page-for-binary non-session-manager
non-session-manager.i686: W: no-manual-page-for-binary jackpatch
non-session-manager.src: W: invalid-url Source0: non-daw-20121013-git61addce.tar.bz2
3 packages and 0 specfiles checked; 1 errors, 4 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint non-session-manager-debuginfo
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
non-session-manager-1.0.0-0.3.gitae6b78cf.fc17.i686.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    libX11.so.6  
    libXpm.so.4  
    libc.so.6  
    libfltk.so.1.3  
    libfltk_images.so.1.3  
    libgcc_s.so.1  
    libjack.so.0  
    liblo.so.7  
    libm.so.6  
    libpthread.so.0  
    libsigc-2.0.so.0  
    libstdc++.so.6  
    rtld(GNU_HASH)  

non-session-manager-debuginfo-1.0.0-0.3.gitae6b78cf.fc17.i686.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
non-session-manager-1.0.0-0.3.gitae6b78cf.fc17.i686.rpm:
    
    non-session-manager = 1.0.0-0.3.gitae6b78cf.fc17
    non-session-manager(x86-32) = 1.0.0-0.3.gitae6b78cf.fc17

non-session-manager-debuginfo-1.0.0-0.3.gitae6b78cf.fc17.i686.rpm:
    
    non-session-manager-debuginfo = 1.0.0-0.3.gitae6b78cf.fc17
    non-session-manager-debuginfo(x86-32) = 1.0.0-0.3.gitae6b78cf.fc17

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 865995
External plugins:
Comment 4 Jørn Lomax 2012-10-14 06:40:41 EDT
|[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (non-daw-20121013-git61addce.tar.bz2) Source1 (non-
     snapshot.sh)

I'll ignore this, i know how the non-* sourcefiles are together as one despite being different programs 

Everything looks fine to me now so I see no reason not to approve the package

********************************
PACKAGE APPOROVED by Jørn Lomax
*******************************
Comment 5 Brendan Jones 2012-10-14 12:58:56 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: non-session-manager
Short Description: Session manager for JACK applications
Owners: bsjones
Branches:f16 f17 f18
InitialCC:
Comment 6 Jon Ciesla 2012-10-14 21:50:13 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-10-21 08:15:57 EDT
non-session-manager-1.0.0-0.2.gitae6b78cf.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/non-session-manager-1.0.0-0.2.gitae6b78cf.fc18
Comment 8 Fedora Update System 2012-10-21 08:16:10 EDT
non-session-manager-1.0.0-0.2.gitae6b78cf.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/non-session-manager-1.0.0-0.2.gitae6b78cf.fc17
Comment 9 Fedora Update System 2012-10-21 15:23:19 EDT
Package non-session-manager-1.0.0-0.2.gitae6b78cf.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing non-session-manager-1.0.0-0.2.gitae6b78cf.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16568/non-session-manager-1.0.0-0.2.gitae6b78cf.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.